# wingstructure - an open source python tool assisting with certification of sailplane wings

![lift distribution](examples/Liftdistribution.png)

[![PyPI version](https://badge.fury.io/py/wingstructure.svg)](https://badge.fury.io/py/wingstructure) [![Documentation Status](https://readthedocs.org/projects/wingstructure/badge/?version=latest)](https://wingstructure.readthedocs.io/en/latest/?badge=latest) [![Build Status](https://travis-ci.com/akafliegdarmstadt/wingstructure.svg?branch=master)](https://travis-ci.com/akafliegdarmstadt/wingstructure) [![codecov](https://codecov.io/gh/akafliegdarmstadt/wingstructure/branch/master/graph/badge.svg)](https://codecov.io/gh/akafliegdarmstadt/wingstructure) [![Codacy Badge](https://api.codacy.com/project/badge/Grade/1d3c65877733486cace59b0ffe890407)](https://www.codacy.com/app/helo9/wingstructure?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=helo9/wingstructure&amp;utm_campaign=Badge_Grade)

## Installation
pip can be used to install the package:
```sh
pip install wingstructure
```

## Usage

wingstructure has three primary functions:

 * Object oriented representation of wing geometry

![geometry](examples/wing.png)

 * Lift and moment calculation based on multhopp quadrature
 * Mass estimation for wing sections

 ![section](examples/section.svg)


 Those are briefly presented in the [Getting Started Guide](https://wingstructure.readthedocs.io/en/latest/usage/quickstart.html).

